## pure-fastcgi-0.6.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-fastcgi-$(version)
version = 0.6

# compiler flags -- these can be overridden from the command line if needed,
# as well as CPPFLAGS, LDFLAGS and LIBS
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)

ifeq ($(DLL),.dylib)
# OSX: hardcode the installation path into the module, so that the module can
# be linked in by the batch compiler.
dllname = -install_name "$(libdir)/pure/$@"
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS) $(LIBS)

# Some systems have the headers in /usr/include/fastcgi. Adjust as needed.
INCLUDES = -I/usr/include/fastcgi

DISTFILES = COPYING Makefile README debian/* \
examples/*.pure fastcgi.c fastcgi_extra.c fastcgi.pure
SEDFILES = README

all: fastcgi$(DLL)

fastcgi$(DLL): fastcgi.c fastcgi_extra.c
	$(CC) $(shared) $(dllname) -o $@ $(INCLUDES) $(MOD_CFLAGS) $^ $(MOD_LDFLAGS) -lfcgi -lgmp -lmpfr

clean:
	rm -Rf *$(DLL)* *~ *.a *.o

install:
	test -d "$(DESTDIR)$(libdir)/pure" || mkdir -p "$(DESTDIR)$(libdir)/pure"
	cp fastcgi.pure fastcgi$(DLL) "$(DESTDIR)$(libdir)/pure"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/pure/fastcgi.pure" "$(DESTDIR)$(libdir)/pure/fastcgi$(DLL)"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/examples
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-fastcgi (0.5-3) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 23:37:26 +0200

pure-fastcgi (0.5-2) natty; urgency=low

  * Add examples

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 07:05:47 +0200

pure-fastcgi (0.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 22 May 2012 20:30:46 +0200

=== debian/control ===
Source: pure-fastcgi
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libfcgi-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-fastcgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This module lets you write FastCGI scripts with Pure, to be run by
 web servers like Apache.
 .
 Compared to normal CGI scripts, this has the advantage that the script keeps
 running and may process as many requests from the web server as you like, in
 order to reduce startup times and enable caching techniques. Note that in
 order to actually run such scripts, you also need to have a FastCGI module
 such as mod_fcgid installed in the web server.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-fastcgi-(.*)\.tar\.gz
